AmazonのDynamoDB用のPythonicインターフェース「pynamodb」のインストール

AmazonのDynamoDB用のPythonicインターフェース「pynamodb」のインストールについて解説しています。

「pynamodb(http://jlafon.io/pynamodb.html)」は、DynamoDBの機能をすべてサポートするDynamoDBへのPythonicインターフェースです。

■Python

今回のPythonのバージョンは、「3.8.5」を使用しています。(Windows10)(pythonランチャーでの確認)

■pynamodbをインストールする

pynamodbをインストールを行いますが、今回はpipを経由してインストールを行うので、まずWindowsのコマンドプロンプトを起動します。

pip install pynamodb

起動後、上記のコマンドを入力し、Enterキーを押します。

なお、今回は、pythonランチャーを使用しており、Python Version 3.8.5にインストールを行うために、pipを使う場合にはコマンドでの切り替えを行います。

py -3.8 -m pip install pynamodb

切り替えるために、上記のコマンドを入力し、Enterキーを押します。

Defaulting to user installation because normal site-packages is not writeable
Collecting pynamodb
Downloading pynamodb-5.2.1-py3-none-any.whl (57 kB)
|████████████████████████████████| 57 kB 711 kB/s
Requirement already satisfied: botocore>=1.12.54 in c:\users\user_\appdata\roaming\python\python38\site-packages (from pynamodb) (1.24.31)
Requirement already satisfied: python-dateutil<3.0.0,>=2.1 in c:\users\user_\appdata\roaming\python\python38\site-packages (from botocore>=1.12.54->pynamodb) (2.8.2)
Requirement already satisfied: urllib3<1.27,>=1.25.4 in c:\users\user_\appdata\roaming\python\python38\site-packages (from botocore>=1.12.54->pynamodb) (1.26.9)
Requirement already satisfied: jmespath<2.0.0,>=0.7.1 in c:\users\user_\appdata\roaming\python\python38\site-packages (from botocore>=1.12.54->pynamodb) (0.10.0)
Requirement already satisfied: six>=1.5 in c:\users\user_\appdata\roaming\python\python38\site-packages (from python-dateutil<3.0.0,>=2.1->botocore>=1.12.54->pynamodb) (1.15.0)
Installing collected packages: pynamodb
Successfully installed pynamodb-5.2.1

Enterキーを押すと、インストールが開始され、上記のように「Successfully installed」と表示されます。これが表示されれば、pynamodbが正常にインストールされたことになります。

なお、今回はpynamodbのバージョン0.5.3をインストールしました。

コメント

タイトルとURLをコピーしました